Subject: Re: [PATCH net-next 2/2] net: airoha: Reorganize airoha_queue struct

From: Lorenzo Bianconi <[email-masked]>
Date: Thu, 6 Nov 2025 09:27:55 +0100

> On Wed, 5 Nov 2025 08:53:06 +0100 Lorenzo Bianconi wrote:
> > > On Mon, 03 Nov 2025 11:27:56 +0100 Lorenzo Bianconi wrote:  
> > > > Do not allocate memory for rx-only fields for hw tx queues and for tx-only
> > > > fields for hw rx queues.  
> > > 
> > > Could you share more details (pahole)
> > > Given that napi_struct is in the same struct, 20B is probably not going
> > > to make much difference?  
> > 
> > I agree the difference is not huge, I added this patch mainly for code
> > readability. If you prefer I can drop the patch, I do not have a strong
> > opinion about it. What do you think?
> 
> I would not do it but your call.. Perhaps staring at data structures
> in crash dumps w/ drgn made me overly cautions of unnecessary overlap.

ack, fine. I will drop the patch in the next revision.

Regards,
Lorenzo